ch.qos.logback.classic.spi

## Class LoggerComparator

- java.lang.Object
- - ch.qos.logback.classic.spi.LoggerComparator

All Implemented Interfaces:
  Comparator<Logger>

    public class LoggerComparator
    extends Object
    implements Comparator<Logger>

### Constructor Summary

Constructors
Constructor and Description
`LoggerComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(Logger l1, Logger l2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### LoggerComparator

    public LoggerComparator()

### Method Detail

#### compare

    public int compare(Logger l1,
                       Logger l2)

Specified by:
  `compare` in interface `Comparator<Logger>`